body {  background: #fff; font-family: 'Open Sans', sans-serif;font-size: 13px;font-weight: 400;  color:#4e4e4e;  line-height: 22px;}
h1,h2,h3,h4,h5,h6 {  font-weight: 600;  font-family: 'Open Sans', sans-serif; color:#4e4e4e;}
h1{  font-size: 36px;  color:#fff;}
h2{  font-size: 18px;  padding:0;}
h3{  font-size: 16px;  color: #787878;  font-weight: 400;  line-height: 24px;}
h4{  font-size: 16px;}
a {cursor: pointer;  -webkit-transition: color 300ms, background-color 300ms;  -moz-transition: color 300ms, background-color 300ms;  -o-transition:  color 300ms, background-color 300ms;  transition:  color 300ms, background-color 300ms;}
a:hover, a:focus {  color: #999;}
hr {border-top: 1px solid #e5e5e5;  border-bottom: 1px solid #fff;}
.navbar {margin-bottom:0;}
div.page-wrapper,  div.listing {width:100%; padding:10px 20px;float: left;border: 2px solid #e7e7e7;margin-bottom: 20px;border-radius: 6px;}
div.page-wrapper .tab-content{padding:10px 0;}
div.listing .listrow{border-bottom: 1px solid #e7e7e7; padding:5px; border-radius: 6px;}
div.listing  .listrow .head {font-size:14px; font-weight:bold; padding:15px; background: #F5F5F5; line-height:16px;}
.table-list-data .form-group{margin-bottom:5px;}
.alert {padding: 5px 15px; margin-bottom: 10px;}
.form-content-section{width:100%;}
.padding-off{padding:0px;}
.padding-left-off{padding-left:0px;}
.padding-right-off{padding-right:0px;}
.table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th {padding:8px 4px;}
.dist-select{font-size:12px;}
/* Nave Menu */
.navbar-header .menu-action{cursor:pointer; float:left;}
.navbar-header .menu-action.menu-open .glyphicon-chevron-right{display:inline-block;}
.navbar-header .menu-action.menu-open .glyphicon-chevron-left{display:none;}
.navbar-header .menu-action.menu-close .glyphicon-chevron-right{display:none;}
.navbar-header .menu-action.menu-close .glyphicon-chevron-left{display:inline-block;}
.btn.btn-hide {display:none;}
.content-section {margin:15px 0;}
.content-section table.table thead{background-color:#337ab7;color:#fff;}
.content-section .form-group.search-field {width:100%;float:left;}
.content-section .form-group.search-field label{float: left;width: 10%;text-align: right;padding-right: 15px;margin-top: 5px;}
.content-section .form-group.search-field input {width:50%; margin-right: 2%; float:left;}
.content-section .table-list-data{clear:both;border:1px solid #CCCCCC; padding:5px;margin-bottom:5px;}
.content-section .box{float: right; padding:5px;}
/* .content-section .box.record-count {padding: 0 15px;} */
.content-section .row.filter-head{margin:5px -15px;}
.filter-head .action-box{margin-top:25px;}
.table-list-data .listing-table .table{margin-bottom:0px;}
.report-data .checkbox, .report-data .radio{margin:0px;}
.dashboard-header .navbar-header a.dropdown-toggle{cursor:pointer; text-decoration:none;}
.dashboard-header .navbar-header.pull-right:hover .dropdown-menu, .dashboard-header .navbar-header.pull-right .dropdown-menu:hover {display: block;}

.csv-form-popup.fade.in{background:rgba(0,0,0,0.3);}
.csv-form-popup .modal-dialog {margin:5% auto;width: 70%;}
.csv-form-popup .modal-header .close {margin-top: -2px;position: fixed;right: 10px;top: 15px;}
.csv-form-popup .modal-body .form-group{margin-bottom:5px;}
.csv-form-popup .modal-body .form-group label{width:48%; padding-right:2%; float:left; text-align:right;}
.csv-form-popup .modal-body .form-group input{width:50%; float:left; }
.csv-form-popup .modal-header {border-bottom:1px solid #337ab7;}
.csv-form-popup .modal-footer {border-top:1px solid #337ab7;}
.csv-form-popup .modal-body .message-box .alert{padding: 5px 15px; margin-bottom: 10px;}

.table.report-content th.dropdown{position: relative;}
.table.report-content .dropdown a{color: #fff;}
.table.report-content .dropdown .dropdown-menu { display: none; color: #fff; position: absolute; background-color: #337ab7;  min-width: 160px; box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2); z-index: 1;  margin: 0; border-radius: 0;}
.table.report-content th.dropdown:hover .dropdown-menu, .table.report-content th.dropdown .dropdown-menu:hover {display: block;}
.table.report-content .dropdown .dropdown-menu a:hover {background-color: #1e486d;}

.table.report-content>tbody>tr>td{padding:0; border-top:none;}
.table.report-data{margin-bottom:0px;}

/**New CSS Added on 18-08-2023 */
.checkbox input[type=radio] {min-width: 18px; min-height: 18px; margin: 0px; position: relative;}
.table.report-data>tbody>tr>td span.action {color: #fff; cursor: pointer; padding:2px 4px; background: #337ab7; border-radius: 4px; height: 22px; text-align: center;}
.table.report-data>thead>tr>th, .table.report-data>tbody>tr>td{width:6.25%;text-align: center;padding: 6px 2px;font-size: 11px;}
/**New CSS Added on 18-08-2023 End*/

.table.report-data>tbody>tr.search-data{background-color:#fff;}
.table.report-data>tbody>tr.search-data td.mismatch{background-color:#f38d8d; color:#000;}

.table.report-data>tbody>tr.result-data{background-color:#f3f3f3; border-bottom: 1px solid #a7a7a7;}
.table.report-data>tbody>tr.result-data:hover {background-color: #e2e2e2;}
.table.report-data>tbody>tr.result-data .checkbox{margin:0 5px;}
.table.report-data>tbody>tr.result-data td{border-top: none;}

.table.report-content.final-content{width:auto; max-width:auto;overflow:auto;}
.table.report-content.final-content>thead>tr>th, .table.report-content.final-content>tbody>tr>td{width:4.5%;text-align:center; padding:4px 2px; font-size: 12px; line-height:1.1}

.listing-table .table>thead{position: sticky;right: 10px; top: 0px; z-index:1;}
.ui-datepicker-div{z-index:2 !important;}
/*Loading spiner */
.loading-spinner{  border: 5px solid #bfbfbf;  border-radius: 50%;  border-top: 5px solid #3498db;  width: 40px;  height: 40px;  -webkit-animation: spin 2s linear infinite;   animation: spin 2s linear infinite;margin-bottom: 10px;}
/* Safari */
@-webkit-keyframes spin {  0% { -webkit-transform: rotate(0deg); }  100% { -webkit-transform: rotate(360deg); }}
@keyframes spin { 0% { transform: rotate(0deg); } 100% { transform: rotate(360deg); }}

/** Form **/
.message-box{margin-top:25px;}
.message-box .progress-box .progress-bar {min-width: 2em;}
.page-wrapper h2.cover-heading{width:15%; float:left; margin:10px 0 0 0; }

.list-section div.head-box h2, .list-section div.head-box .heading {width:50%; float:left; padding:10px 0; margin:0;}
.list-section div.head-box .action-box{width:50%;float:left; padding:10px 0; margin:0; text-align:right;}
.list-section div.head-box .action-box a {margin-left:10px;}

div.head-box .action button{float:right;}
.center {text-align:center}
.footer-distributed{background-color:#464646;box-shadow:0 1px 1px 0 rgba(0, 0, 0, 0.12);box-sizing:border-box;width: 100%;text-align:left;padding:22px;margin:0px;}
.footer-distributed .footer-left,.footer-distributed .footer-center,.footer-distributed .footer-right{display: inline-block;vertical-align: top;}

.row.cover-container {display: flex;flex-wrap: wrap;min-height:calc(100vh - 95px);}

.navigation-section.small-view{width:4%;}
.content-right.full-view{width:96%;}

.navigation-section{background:#286090;overflow:hidden;}
.rotate {-moz-transition: all .5s linear;-webkit-transition: all .5s linear;transition: all .5s linear;}
.rotate.down {-moz-transform:rotate(90deg);-webkit-transform:rotate(90deg);transform:rotate(90deg);}
ul.left-menu{margin:0; padding:0; list-style:none;}

ul.left-menu > li{border-bottom:1px solid #fff;}
ul.left-menu > li.top-li.active, ul.left-menu > li.treeview.active .parentMenu{background:#5493c4;}
ul.left-menu li.treeview.active ul.treeview-menu > li.active a{color:#000;text-decoration: underline;}

ul.left-menu li span, ul.left-menu > li > a{ padding:5px 0 5px 35px; display:block; cursor:pointer; position:relative; }
ul.left-menu li i.fas{position: absolute;left: 15px; top: 10px;font-size: 13px; }
ul.left-menu li i.fa{position: absolute;right: 10px; top: 13px;font-size: 12px; }
ul.left-menu li, ul.left-menu li a{margin:0; font-size: 12px; color:#fff; text-decoration:none;white-space: nowrap;}
ul.left-menu li:hover, ul.left-menu li span:hover, ul.left-menu > li > a:hover, ul.left-menu li ul.treeview-menu a:hover{color:#000;}
ul.left-menu li ul.treeview-menu{margin: 0 0 0 35px; padding: 0 0 5px 0; display:none;}
.normalTextwhite{color:#fff; padding:10px; font-size: 12px;}
ul.left-menu li ul.treeview-menu li{list-style:none;}
ul.left-menu li ul.treeview-menu a{display:block; padding: 5px 0 5px 0px;}
ul.left-menu li ul.treeview-menu li.active{text-decoration:underline;}
ul.left-menu li.active .treeview-menu{display:block;}
ul.left-menu li i.fas.sub{position: relative;left: -5px; top: 2px;font-size: 13px; }
ul.left-menu li.active .fa.fa-chevron-right {-ms-filter: "progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform: rotate(90deg);transform: rotate(90deg);}

.small-view ul.left-menu li i.fa-chevron-right{display:none;}
.small-view ul.left-menu li i.fas{font-size:20px;}
.small-view ul.left-menu li span, .small-view ul.left-menu > li > a{padding:5px 0 5px 65px;}
.small-view ul.left-menu li ul.treeview-menu li a{padding-left: 5px;}

.csv-form-area {border: solid 1px rgba(204, 204, 204, 0.78);background: rgba(248, 248, 248, 0.42);padding: 15px;}
.head-box .heading {color: #000; font-size:18px; font-weight:600; margin: 0 0 15px 0;}
.progress-box .progress{height: 12px; margin-bottom: 15px;}
.progress-box .progress .progress-bar{font-size: 10px; line-height: 12px;}
.csv-form-area.result .report{ margin:5px 0 25px;}
.csv-form-area.result .report a, .csv-form-area.result .report a:hover span, .csv-form-area.result .report a:hover h3{ text-decoration:none;}
.csv-form-area.result .report span{display:block; width: 140px; height: 140px; border-radius:50%; background: red; margin: 0 auto; text-align:center; line-height:140px; color:#fff; font-size:20px; }
.csv-form-area.result .report h3{ text-align: center; margin-top: 10px; font-weight:600; color: #333; }
.csv-form-area.result .report .blue{ background-color:#075598; }
.csv-form-area.result .report .red{ background-color:#b90606; }
.csv-form-area.result .report .orange{ background-color:#e65500; }
.csv-form-area.result .report .green{ background-color:#019201; }
.form-control.mapping-select option{background-color:#fff;}
.form-control.mapping-select option.disabled{background-color:#e4e4e4; cursor: not-allowed;}
/*Dashboard designupdate*/
.dashboard-header {background: #464646;border: none;border-radius: 0;box-shadow: -1px 2px 3px 0px rgba(0, 0, 0, 0.22);z-index: 1;}
.dashboard-header.navbar-default .navbar-brand{color: #fff}
h2.heading.left {color: #000;padding: 0;margin-bottom: 20px;}
.form-control, .form-control:focus{outline: none;box-shadow: none;font-size: 13px;}
.btn, .form-control{border-radius: 0;}
.table>thead>tr>th{font-weight: 600;}
.table>thead>tr>th.short-action{cursor: pointer;}
h2.no-record-text {padding-left: 15px;color: #a0a0a0;}
a.isDisabled {  color: currentColor;  cursor: not-allowed;  opacity: 0.5;  pointer-events: none; text-decoration: none;}
.modal.show{opacity: 1; display:block; background:#00000070; padding-top: 10%;}
.modal.hide{display:none;}
.mappingform{background: #fff; padding: 0 10px; border: 1px solid #d4d4d4; }
.mappingform h4{background-color: #356aa0; color: #fff;padding: 8px;margin: 0 -10px; text-align: center;}
.mappingform .form-header h6 {background-color: rgba(204, 204, 204, 0.78);color: #356aa0; padding: 8px 0; margin: 0 0 10px 0; }
.form-header{margin:0 -10px;}
.mappingform .col-form-label {text-align:center; }
select.form-control.mapping-select.ng-valid.ng-not-empty {border: 1px solid green;background: #d4d4d4;}
.add-edit-item-popup .modal-title {width: 80%; float: left;}
.ui-widget.ui-widget-content.ui-autocomplete{z-index:9999 !important; max-height: 300px;  overflow: hidden; overflow-y: auto;}
.csv-form-area.csv-header-map #ajax_message_box {position: fixed; top:125px;right: 0;z-index: 9999;}
.list-section .table-list-data .filter-head.filter-group .form-group {padding: 0 2px;}

select.distributor-select option{color:green;}
select.distributor-select option.no-mapping{color:red;}
.pagination{margin: 5px 0;}

.modal.fade.in.active{display:block;}
.manage-form-section .form-control.custom-field{width:75% !important;}
.manage-form-section .form-control.custom-input-field{width:66% !important;}
.manage-form-section .input-group-addon{padding: 8px 12px;}
.manage-form-section .form-group span.error{color:red;}
.manage-form-section select.multiple-select-box{min-height: 200px;}
.manage-form-section .modal-title {width:85%; float:left;}

.sheets-data{overflow:auto;max-height:500px; border:1px solid #ccc;}
.sheets-data .table>tbody>tr>td, .sheets-data .table>tbody>tr>th, .sheets-data .table>tfoot>tr>td, .sheets-data .table>tfoot>tr>th, .sheets-data .table>thead>tr>td, .sheets-data .table>thead>tr>th{font-size: 10px;padding:2px;line-height:1;border:1px solid #ccc;}
.sheets-data tr:first-child{background-color:#5493c4;color:#fff;} .sheets-data tr:first-child td {font-weight: bold;}

@media screen and (max-width:1366px) {
.table {font-size: 13px;}
}

